<nav class="navbar navbar-expand-lg navbar-light bg-white fixed-top">
  <a class="navbar-brand" placement="bottom" routerLink="">
    <img alt="db-logo" height="40" src="../../assets/images/logos/logo.png" width="55">
  </a>
  <ul class="navbar-nav">
    <li *ngIf="!userIsLoggedIn" class="nav-item">
      <p class="welcomeText"><b>Willkommen bei ZKpfR!</b></p>
    </li>
    <li *ngIf="userIsLoggedIn" class="nav-item">
      <p class="welcomeText"><b>Willkommen bei ZKpfR {{ currentUser.displayName }}!</b></p>
    </li>
  </ul>
  <button (click)="toggleSidenav()"
          class="navbar-toggler"
          data-toggle="collapse"
          type="button">
    <fa-icon [icon]="faBars"></fa-icon>
  </button>
  <div class="collapse navbar-collapse" id="customSideNav">
    <a (click)="toggleSidenav()" *ngIf="navIsOpen" class="closebtn">&times;</a>
    <ul class="navbar-nav ml-auto">
      <li *ngIf="!userIsLoggedIn" class="nav-item">
        <a class="nav-link" routerLink="/signin">
          Einloggen
        </a>
      </li>
      <li *ngIf="!userIsLoggedIn" class="nav-item">
        <a class="nav-link" routerLink="/signup">
          Registrieren
        </a>
      </li>
      <li *ngIf="userIsLoggedIn" class="nav-item">
        <a class="nav-link" routerLink="">
          Home
        </a>
      </li>
      <li *ngIf="userIsLoggedIn" class="nav-item">
        <a class="nav-link" routerLink="/account">
          Account
        </a>
      </li>
      <li *ngIf="userIsLoggedIn" class="nav-item">
        <a (click)="performLogout()" class="nav-link">
          Ausloggen
        </a>
      </li>
    </ul>
  </div>
</nav>
<div id="placeholder-for-fixed-navbar"></div>
